/*
3
2
1 2
-1 -2
2
1 2
-2 -1
4
1 2 3 4
-4 -3 -2 -1
*/
#include <iostream>
#include <cmath>

using namespace std;

int main() {
	int n;
	cin >> n;
	bool t[n];
	for(int i = 0; i < n; i++) {
		int x, y;
		t[i] = true;
		cin >> x;
		int z[x];
		for(int j = 0; j < x; j++) {
			cin >> z[j];
		}
		for(int j = 0; j < x; j++) {
			int j1, zj1;
			cin >> y;
			for(int k = 0; k < x; k++) {
				if(abs(y) == abs(z[k])) {
					j1 = k;
					zj1 = z[k];
                    break;
				}
			}
			if(j % 2 == j1 % 2 && y != zj1) {
				t[i] = true;
			}
			if(j % 2 != j1 % 2 && y == zj1) {
				t[i] = false;
			}
			//cout << t[i];
		}
	}
	
	for(int i = 0; i < n; i++) {
		if(t[i]) {
			cout << "DA" << endl;
		}else{
			cout << "NE" << endl;
		}
	}
	
	return 0;
}